Download it now!
Bug 83535 - Base’s title bar displays the wrong language when certain language packs are installed (see also Comment 18)
Summary: Base’s title bar displays the wrong language when certain language packs are ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.1 target:5.4.5
Keywords:
: 89832 92507 104183 107650 107871 (view as bug list)
Depends on:
Blocks: Language-Help-Packs
  Show dependency treegraph
 
Reported: 2014-09-05 16:17 UTC by Paul Harouff
Modified: 2018-02-06 09:17 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments
Title of the window seems to be partly HUNGARIAN. (21.27 KB, image/png)
2015-12-30 21:46 UTC, Gisbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Harouff 2014-09-05 16:17:06 UTC
I'm trying to create a new Base database. All of the Tools > Options > Language Settings are set to "English (USA)". 

Every time I open a table, query, form, or report window, the title of the window appears to be in Spanish, for example:

Create Table  --> PROJECT.odb: Table1 - LibreOffice Base: desen~o de tablas
Create Query  --> PROJECT.odb: Query1 - LibreOffice Base: desen~o de consulta
Create Form   --> PROJECT.odb: Form1 - LibreOffice Base: formulario de base de datos
Create Report --> PROJECT.odb: Report2 - LibreOffice Base: generador de informes de Oracle

Note: The ~ appears over the n above. I don't speak Spanish and have no idea how to type a ~ over the n in a Bugzilla form.
Comment 1 Julien Nabet 2014-09-05 21:25:57 UTC
Is it a first install or is it an upgrade?
Comment 2 Paul Harouff 2014-09-05 21:30:34 UTC
I completely uninstalled version 3 before installing version 4.
Comment 3 Julien Nabet 2014-09-05 21:32:22 UTC
For the test, could you rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#Windows) and give it a new try?
Comment 4 Paul Harouff 2014-09-05 22:16:47 UTC
With the new LO profile folder, the behavior was the same.

I searched both the user profile and the program folders and couldn't find a file that contained any of those words. It must be compiled somewhere.
Comment 5 Julien Nabet 2014-09-06 05:17:42 UTC
Thank you for your feedback.

In this case, I'd try the raw method:
- uninstall any LO/Apache OpenOffice/old OpenOffice version, related language packs, etc.
- remove any left directories concerning these
- remove any LO profile from 3.X.X or 4.X.X version (see https://wiki.documentfoundation.org/UserProfile#Windows)
Remark: are there several user profiles on your pc? (in case you're not the only one to use it) If yes, it would be useful to remove their LO user profile too. 
- clean your Windows registry with a free tool (eg: ccleaner)
- make sure to download last LO version from official website (http://www.libreoffice.org/download/libreoffice-fresh/)
- install again

If it still doesn't work, I must recognize I'm stuck :-(
Comment 6 Jean-Baptiste Faure 2014-09-21 18:08:19 UTC
Hi Paul,

Did you download LibreOffice from http://www.libreoffice.org or from another website ?

Best regards. JBF
Comment 7 Paul Harouff 2014-09-23 15:23:55 UTC
I did a clean installation both times. I also manually searched and cleaned the registry after uninstalling to make sure there were no orphan links left behind.

I downloaded LibreOffice_4.3.0_Win_x86.msi from the libreoffice.org site.

After uninstalling and reinstalling a few times, I verified that if I select only the English (United States) user interface language pack during installation, then the Base window titles are in English. But if I select both English (United States) and Spanish user interface language packs, the Base popup window titles are always in Spanish no matter what language is selected in Tools > Options > Language Settings.

It appears that other components -- Writer, Calc, Impress, Draw, Math -- change to the selected language. Only the titles of the popup windows inside Base appear to be broken.

There is only one profile on my workstation; but I am developing this database to be used by other employees in my firm, some who speak Spanish as their native language, which is why I had also downloaded the Spanish language pack for testing.
Comment 8 Julien Nabet 2014-10-13 18:38:07 UTC
Paul: http://www.libreoffice.org/download/libreoffice-fresh/ proposes 4.3.2 version (so 2 versions containing fixes on 4.3 branch since 4.3.0). Could you give it a try?
Comment 9 Paul Harouff 2014-10-14 17:07:07 UTC
Hmm ...

Help->Check for Updates shows "LibreOffice 4.3 is up to date."

Help->About LibreOffice shows Version: 4.3.0.4 Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0

I cannot find any explanation of what the difference is between LibreOffice Fresh and LibreOffice Still, and the Development Versions page discusses release candidates for both. The release notes for both 4.3.2 and 4.2.6 are nearly word-for-word the same, except for the note about the 4.2.6 security fix recommending that users upgrade to 4.3.1, which is even more confusing since the other download option is 4.3.2.

How am I supposed to know which version is the latest stable release, and why doesn't Help->Check for Updates tell me that I don't have the latest stable release?
Comment 10 Paul Harouff 2014-10-14 18:37:56 UTC
After delete and clean install, verified that the same behavior still exists in LO Base version 4.3.2.2.
Comment 11 Julien Nabet 2014-10-14 19:54:56 UTC
Thank you for your feedback. I must recognize I'm stuck now :-(
I put it back to UNCONFIRMED since I've got no more questions.

LibreOffice Fresh (4.3 branch) contains most recent new features "and is suited for early adopters willing to leverage a larger number of innovations.

LibreOffice Still (4.2 branch) is more conservative and will only get bug fixes (no new features) because of being more tested. 4.2.7 will be the last version of 4.2 branch.

You might be interested in the release plan:
https://wiki.documentfoundation.org/ReleasePlan
Comment 12 Paul Harouff 2014-10-14 20:27:37 UTC
Okay, let's try a more detailed click by click clean installation. Maybe something I did will help you figure out how to duplicate it.

Dell Precision T3500, Windows 7 Pro SP1, 64 bit, Intel Xeon CPU W3530 @2.80GHz

1. Run LibreOffice_4.3.2_Win_x86.msi
2. Click Next
3. Select Custom
4. Under Optional Components
     a. Deselect French dictionary
     b. Keep English and Spanish dictionaries selected
     b. Select ActiveX Control
5. Under Additional user interface languages
     a. Deselect English (South Africa)
     b. Deselect English (United Kingdom)
     c. Keep English (United States) selected
     c. Select Spanish
6. Click Next
7. Uncheck Word, Excel. Check PowerPoint, Visio.
8. Click Next
9. Check Create a start link on desktop
10. Click Install
11. When prompted select Yes to allow installation
12. Click Finish


13. Run soffice.exe
14. Create a new Base Database (HSQLDB Embedded)
15. Yes, register the database
16. Check Open the database for editing
17. Click Finish
18. Name and save the database (default New Database.odb)
19. Click Create Table in Design View
20. A popup window opens with a Spanish title:
          "New Database.odb: Table1 - LibreOffice Base: diseño de tablas"
21. Close the popup window
22. Click Create Query in Design View
23. A popup window opens with a Spanish title:
          "New Database.odb: Query1 - LibreOffice Base: diseño de consulta"
24. Close the Add Table or Query popup and close the Query popup
22. Click Create Form in Design View
23. A popup window opens with a Spanish title:
          "New Database.odb: Form1 - LibreOffice Base: formulario de base de datos"
21. Close the popup window
22. Click Create Report in Design View
23. A popup window opens with a Spanish title:
          "New Database.odb: Report1 - LibreOffice Base: generador de informes de Oracle"
Comment 13 Julien Nabet 2014-10-14 20:38:38 UTC
Thank you Paul for your new feedback.

Adolfo: have you heard about this problem? Any idea (as main contact for Spanish language)?
Comment 14 Adolfo Jayme 2014-10-15 06:39:49 UTC
This is the commit that made these titles translatable (yes, the English was hardcoded before): http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f44fb5ee0bd21d192820ffd359504f6d1c68a52

By giving it a quick, initial look, I can’t tell what’s wrong there; but then again, I’m not familiar with the Base code.
Comment 15 Julien Nabet 2014-10-15 17:42:25 UTC
Paul: I retested with LO Debian 4.3.2 package, I could reproduce this!

English US UI + French for Locale Settings. (but even with English US Locale Settings)
Everything is in English except Design Table/Query/Form (Report seemed ok however but perhaps it was not translated in French).

Andras: thought you might be interested in this one.
Comment 16 Alex Thurgood 2015-01-03 17:41:15 UTC Comment hidden (no-value)
Comment 17 Adolfo Jayme 2015-03-05 16:58:47 UTC
*** Bug 89832 has been marked as a duplicate of this bug. ***
Comment 18 Andras Timar 2015-03-05 20:06:26 UTC
Tha patch http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f44fb5ee0bd21d192820ffd359504f6d1c68a52 was naive, it did not solve l10n of these titles. The l10n framework extracts and merges translations. But the code that uses these configuration values (ooSetupFactoryUIName), always takes the last value available. This means that if you build and install Chinese (zh-TW), that will be the last, and you have window title in Chinese. In case of English and Spanish, es comes after en, therefore you get Spanish (if there is nothing else after Spanish).

I see two options.

1. Revert 8f44fb5ee0bd21d192820ffd359504f6d1c68a52, and patch Base where it constructs the window title and add localizable strings to a Base resource file.

2. Keep 8f44fb5ee0bd21d192820ffd359504f6d1c68a52, and patch configmgr, so when it creates a uno sequence, then a hash map from these configuration items, the locale should be taken into account. (see TitleHelper::impl_appendModuleName)
Comment 19 Andras Timar 2015-07-14 06:59:33 UTC
*** Bug 92507 has been marked as a duplicate of this bug. ***
Comment 20 Peter Chastain 2015-07-30 01:58:12 UTC
I am seeing this behavior with 5.0.0 RC4 (Windows 64-bit version): create new database, create new table in design view; titlebar ends with "konstruktor tablits" (in Cyrillic characters).
Comment 21 Gisbert 2015-12-30 21:46:19 UTC
Created attachment 121653 [details]
Title of the window seems to be partly HUNGARIAN.

Title of the window seems to be partly HUNGARIAN - it should all be in german language. Happens ONLY and ALWAYS with Base, not in any other component.
Comment 22 Adolfo Jayme 2016-11-27 05:21:09 UTC
*** Bug 104183 has been marked as a duplicate of this bug. ***
Comment 23 Bob English 2016-12-08 21:25:20 UTC
I Have the same odd behavior here.  My system is set to US English, but since German is my second language I have it as a second language for spell checking but never set German as the main language.  It is rather interesting to me because although fluent in German I moved back to the U.S.A. before home computers were common place and I am now learning some computer terminology in German.

I think that some OS's come with English, Spanish and a few other languages that are very common in the world installed just in case.  Lot's of Spanish speaking people here.  As for Hungarian: not that many.  So I would have to guess that it is enough to have another language installed in the OS.

Right now I am looking at

somename.odb:Table1 - LibreOffice Base: Tabellenentwurf

and I am sure it is not by entwurf (design). See how I did that?

Sorry I can not help much more, I have no understanding of the inner workings of these things.
Comment 24 Julien Nabet 2016-12-08 21:27:55 UTC
Revert back version since this one must correspond to the earliest version when the bug has been encountered.
Comment 25 Robert Großkopf 2016-12-09 10:21:13 UTC
I could reproduce this behavior with LO 3.6.7.2. Also reproducable with AOO 4.1.2. This one seems to be a very old bug. Could be inherited from OOo, but couldn't test here LO 3.3.
I will set the Version to 3.6.7.2

Note: This one appears in older versions, also AOO, without installing any other language as the default (en-US and, for my installations, de). With LO 4.4.7 and LO 5.2.4.1 I couldn't reproduce, if there isn't installed a third language. Only when installed en-GB as a third language the title in Base were switched to a mix of German and English.
Comment 26 Buovjaga 2017-05-06 16:35:12 UTC
*** Bug 107650 has been marked as a duplicate of this bug. ***
Comment 27 Alex Thurgood 2017-05-15 15:09:38 UTC
*** Bug 107871 has been marked as a duplicate of this bug. ***
Comment 28 Maxim Monastirsky 2017-05-15 18:29:19 UTC
(In reply to Andras Timar from comment #18)
> Tha patch
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=8f44fb5ee0bd21d192820ffd359504f6d1c68a52 was naive,
What apparently missing from this patch is marking ooSetupFactoryUIName as oor:localized="true" in the schema (officecfg/registry/schema/org/openoffice/Setup.xcs). I did it locally in a 5.3.3.2 installation (in share/registry/main.xcd), and the bug disappeared.

But I wonder: Will it be OK to have only part of ooSetupFactoryUIName marked with xml:lang="en-US", like we have now? In other words: Can a missing xml:lang="en-US" in an otherwise localizable property have any bad impact on something in configmgr, or it's only used by l10n tools?

Andras: Do you have any idea?